            #GIT_CMT=10efb4aec608fe2192f34bb0212b762fa5041251
%define uek2epoch 2
%define uek4epoch 4
%define uek5epoch 5

%define RELEASE 1.0.6
%{?el7:%define uektag uek4}

Name: libmlx4
Epoch: %{uek4epoch}
Version: 1.0.6
Release: %{RELEASE}%{?dist}%{?uektag}
Summary: Mellanox ConnectX InfiniBand HCA Userspace Driver

Group: System Environment/Libraries
License: GPLv2 or BSD
Url: http://openfabrics.org/
Source: libmlx4-1.0.6.tar.bz2
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: libibverbs-devel >= %{uek4epoch}:1.1.8-1.0.1
BuildRequires: libibverbs-devel < %{uek5epoch}:0

%description
libmlx4 provides a device-specific userspace driver for Mellanox
ConnectX HCAs for use with the libibverbs library.

%package devel
Summary: Development files for the libmlx4 driver
Group: System Environment/Libraries
Requires: %{name} = %{uek4epoch}:%{version}-%{release}
Provides: libmlx4-static = %{uek4epoch}:%{version}-%{release}

%description devel
Static version of libmlx4 that may be linked directly to an
application, which may be useful for debugging.

%prep
%setup -q -n %{name}-1.0.6

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=%{buildroot} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la $RPM_BUILD_ROOT%{_libdir}/libmlx4.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libmlx4-rdmav2.so
%{_sysconfdir}/libibverbs.d/mlx4.driver
%doc AUTHORS COPYING README

%files devel
%defattr(-,root,root,-)
%{_libdir}/libmlx4.a

%changelog
* Mon Jun 11 2018 Aron Silverton <aron.silverton@oracle.com> - 4:1.0.6-1.0.6uek4
- libmlx4: Release v4:1.0.6-1.0.6 (Aron Silverton)  [Orabug: 27593051] [Orabug: 27934606] 
- libmlx4: Add "uek4" token to OL7 package (Aron Silverton)  [Orabug: 27934606] 
- libmlx4: Add Epoch to package versioning (Aron Silverton)  [Orabug: 27593051] 

* Tue May 01 2018 Aron Silverton <aron.silverton@oracle.com> - 1.0.6-1.0.5
- libmlx4: Consolidate OL6 and OL7 spec files (Aron Silverton)  [Orabug:
  25978222]

* Mon May 15 2017 Qing Huang <qing.huang@oracle.com> - 1.0.6-1.0.4
- BUILDINFO: commit=5d7b97751546e1c756a346e080f2762d9499100c
- libmlx4: Bump up release number (Qing Huang)  
- ib/libmlx4: conditionally disable blueflame on a per process basis (Qing Huang)

* Mon May 16 2016 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.6-1.0.3
- libmlx4: Bump up release number (Mukesh Kacker)  
- libmlx4: set structure to zero before partial initialization (Mukesh Kacker)  
- XRC - move warning to be under trace mode (Yishai Hadas)  
- XRC - fix leak in legacy flow (Yishai Hadas)  
- XRC issues (Yishai Hadas)  
- libmlx4: XRC binary compat layer (Yishai Hadas)  
- mlx4_trace environment variable was added (Yishai Hadas)

* Tue Sep 15 2015 Mukesh Kacker <mukesh.kacker@oracle.com> - 1.0.6-1.0.2
- libmlx4: Bump release number for share PD and user FMR patches (Mukesh Kacker)  
- libmlx4: Add user level FMR support (Mukesh Kacker)  
- libmlx4: Add Shared PD support (Mukesh Kacker)

* Mon May 05 2014 Roland Dreier <roland@digitalvampire.org> - 1.0.6-1
- New upstream release

* Wed Mar 28 2012 Roland Dreier <roland@digitalvampire.org> - 1.0.5-1
- New upstream release

* Wed Mar 28 2012 Roland Dreier <roland@digitalvampire.org> - 1.0.4-1
- New upstream release

* Mon Mar 26 2012 Roland Dreier <roland@digitalvampire.org> - 1.0.3-1
- New upstream release

* Wed Jul 06 2011 Roland Dreier <roland@digitalvampire.org> - 1.0.2-1
- New upstream release

* Wed Jun 17 2009 Roland Dreier <rdreier@cisco.com> - 1.0.1-1
- New upstream release
- Change openib.org URLs to openfabrics.org URLs

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jan 27 2008 Roland Dreier <rdreier@cisco.com> - 1.0-2
- Spec file cleanups, based on Fedora review: don't mark
  libmlx4.driver as a config file, since it is not user modifiable,
  and change the name of the -devel-static package to plain -devel,
  since it would be empty without the static library.

* Sun Dec 09 2007 Roland Dreier <rdreier@cisco.com> - 1.0-1
- New upstream release

* Fri Apr 06 2007 Roland Dreier <rdreier@cisco.com> - 1.0-0.1.rc1
- Initial Fedora spec file

